﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.Controls;

namespace RadScheduleViewSpecialSlots
{

	/// <summary>
	/// Here the Copy() and CopyFrom() methods need to be overriden
	/// </summary>
    public class WorkingHourOccurence : Slot
    {
		//public float Effort
		//{
		//    get;
		//    set;
		//}

		public WorkingHourOccurence(DateTime start, DateTime end) : base(start, end)
		{
			this.Resources.Add(new Resource("Teacher2", "Calendar"));
			this.Resources.Add(new Resource("Teacher1", "Calendar"));
		}

        public override Slot Copy()
        {
            WorkingHourOccurence workingDayOcc = new WorkingHourOccurence(this.Start, this.End);
			//workingDayOcc.Start = this.Start;
			//workingDayOcc.End = this.End;
            //workingDayOcc.Effort = this.Effort;
            //workingDayOcc.RecurrencePattern = this.RecurrencePattern.Copy();
			workingDayOcc.CopyFrom(this);
     //       workingDayOcc.Resources.AddRange(this.Resources);
            return workingDayOcc;
        }

		public override void CopyFrom(Slot other)
		{
			var otherSlot = other as WorkingHourOccurence;
			if (otherSlot != null)
			{
				base.CopyFrom(otherSlot);
			}
		}
    }
}
