﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace RadScheduleViewSpecialSlots
{
    public class SpecialSlotStyleSelector : ScheduleViewStyleSelector
    {
        public Style SundayStyle { get; set; }
        public Style SaturdayStyle { get; set; }
        public Style WorkingHourStyle { get; set; }
        public Style HolidayHourStyle { get; set; }


        public override Style SelectStyle(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
        {
			Slot slot = item as Slot;
		
			if (item is WorkingHourOccurence)
            {
                return this.WorkingHourStyle;
            }
			return base.SelectStyle(item, container, activeViewDeifinition);
        }
    }
}
